Page MenuHomePhabricator

Fix AllmessagesDeluxe gadget on French Wikipedia
Closed, ResolvedPublic2 Story Points

Description

The AllmessagesDeluxe gadget on French Wikipedia loads, but when you click on “Appliquer” at Special:Allmessages, it throws a JavaScript error:
ReferenceError: AllmessagesDeluxe_CheckPanel is not defined

This is probably due to the scope changes introduced by ResourceLoader.

Gadget code: https://fr.wikipedia.org/wiki/MediaWiki:Gadget-AllmessagesDeluxe.js

Event Timeline

kaldari created this task.Nov 4 2015, 5:58 PM
kaldari updated the task description. (Show Details)
kaldari raised the priority of this task from to Needs Triage.
kaldari added a project: Community-Tech.
kaldari added subscribers: Aklapper, kaldari, StudiesWorld.
kaldari triaged this task as Normal priority.Nov 4 2015, 6:20 PM
kaldari added a project: good first bug.
kaldari set Security to None.
kaldari moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
DannyH edited a custom field.Nov 6 2015, 7:28 PM
kaldari moved this task from Ready to In Development on the Community-Tech-Sprint board.
kaldari claimed this task.
kaldari closed this task as Resolved.Nov 10 2015, 1:34 AM
kaldari moved this task from In Development to Q1 2018-19 on the Community-Tech-Sprint board.
kaldari moved this task from Q1 2018-19 to Q3 2018-19 on the Community-Tech-Sprint board.